#
# spec file for package python-wsgi_intercept
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-wsgi_intercept
Version:        0.10.0
Release:        4.4
Summary:        Installs a WSGI application in place of a real URI for testing
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/cdent/python3-wsgi-intercept
Source:         http://pypi.python.org/packages/source/w/wsgi_intercept/wsgi_intercept-%{version}.tar.gz
# PATCH-FIX-OPENSUSE speilicke@suse.com -- Patching fails
Patch0:         wsgi_intercept-disable-testbogusdomain.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-httplib2
BuildRequires:  python-pytest >= 2.4
BuildRequires:  python-requests >= 2.0.1
Recommends:     python-requests >= 2.0.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Testing a WSGI application normally involves starting a server at a local host
and port, then pointing your test code to that address. Instead, this library
lets you intercept calls to any specific host/port combination and redirect
them into a `WSGI application`_ importable by your test program.  Thus, you
can avoid spawning multiple processes or threads to test your Web app.

%prep
%setup -q -n wsgi_intercept-%{version}
%if 0%{?suse_version} == 1230
%patch0 -p1
%endif

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/test

%check
# skip tests trying to access google.com
py.test -k "not not_intercepted" build/

%files
%defattr(-,root,root,-)
%{python_sitelib}/wsgi_intercept-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/wsgi_intercept

%changelog
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.10.0:
  * no changelog available
- refresh wsgi_intercept-disable-testbogusdomain.patch
- update project URL
- skip tests trying to access google.com with command line option
* Wed Feb  5 2014 speilicke@suse.com
- Use py.test rather than nosetests, testsuite uses py.test specific features
* Thu Jan 30 2014 speilicke@suse.com
- Added wsgi_intercept-disable-testbogusdomain.patch: Disable some tests
  on 12.3 where patching fails
* Thu Jan 30 2014 speilicke@suse.com
- Update to version 0.6.1:
  + Better testing dependency structure
- Dropped patches:
  + 0001-Depend-on-requests-2.0.1.patch (merged upstream)
* Thu Jan 30 2014 speilicke@suse.com
- Added 0001-Depend-on-requests-2.0.1.patch: Require requests>=2.0.1.
  Really a requirement
* Fri Jan 17 2014 speilicke@suse.com
- Don't install testsuite globally
- Run testsuite
- Fix requirement list
- Recommend python-requests for the requests-based backend
  (don't recommend httplib2, it isn't any better than the stdlib
  module 'httplib' due to it's SSL insufficencies)
* Fri Jan 17 2014 dmueller@suse.com
- remove excessive buildrequires that are not used due to
  tests being commented out
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 0.6.0
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
